Subject: Re: bug#72534: M-x restart-emacs no longer restarts emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Aug 2024 11:26:47 +0300

tags 72534 unreproducible moreinfo
close 72534
thanks

> Cc: [email-masked]
> Date: Fri, 09 Aug 2024 09:58:16 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Tri Attack <[email-masked]>
> > Date: Thu, 8 Aug 2024 11:49:24 -0700
> > 
> >      I just upgraded from Emacs 29.3 to Emacs 29.4 about 30 minutes ago with no changes to my
> > configuration. However, I have found that one of my most beloved features seems to be broken. I often use
> > `M-x restart-emacs` to test how different configurations affect my startup time. However, right now the
> > command just safely shuts down emacs without starting it up again. Given the simplicity of this situation, I
> > believe this is a new and original bug and not a user error. Is there anything I can do to fix this?
> 
> I cannot reproduce this, the command works for me.  Does this happen
> in "emacs -Q"?

No further comments, so I'm closing this bug as unreproducible.